//
//  MoveMouseAppDelegate.m
//  MoveMouse
//
//  Created by Theresa Ford on 12/16/10.
//  Copyright 2010 Cattail.Nu. All rights reserved.
//

#import "MoveMouseAppDelegate.h"
#import <ApplicationServices/ApplicationServices.h>

@implementation MoveMouseAppDelegate

@synthesize window;
@synthesize newX, newY;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	// Insert code here to initialize your application 
}

- (IBAction) moveCursor:(id)sender{
//  NSLog(@"MoveMouseAppDelegate:moveCursor");
  CGError err;
  CGPoint p;

  p.x = [newX floatValue];
  p.y = [newY floatValue];

  // http://developer.apple.com/library/mac/#documentation/GraphicsImaging/Reference/Quartz_Services_Ref/Reference/reference.html
  err = CGWarpMouseCursorPosition(p);

  // possible error messages
  // http://developer.apple.com/library/mac/#documentation/CoreGraphics/Reference/CoreGraphicsConstantsRef/Reference/reference.html%23//apple_ref/doc/uid/TP40008794

}

@end
